Gentoo Archives: gentoo-commits

From: Matthew Thode <prometheanfire@g.o>
To: gentoo-commits@l.g.o
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-ruby/facter/
Date: Mon, 30 Sep 2019 14:36:10
Message-Id: 1569854162.708621ca28511934e52dd5034f71999ac5d8520f.prometheanfire@gentoo
commit:     708621ca28511934e52dd5034f71999ac5d8520f
Author:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
AuthorDate: Mon Sep 30 14:35:38 2019 +0000
Commit:     Matthew Thode <prometheanfire <AT> gentoo <DOT> org>
CommitDate: Mon Sep 30 14:36:02 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=708621ca

dev-ruby/facter: 3.14.5 bump

Package-Manager: Portage-2.3.76, Repoman-2.3.17
Signed-off-by: Matthew Thode <prometheanfire <AT> gentoo.org>

 dev-ruby/facter/Manifest             |   1 +
 dev-ruby/facter/facter-3.14.5.ebuild | 112 +++++++++++++++++++++++++++++++++++
 2 files changed, 113 insertions(+)

diff --git a/dev-ruby/facter/Manifest b/dev-ruby/facter/Manifest
index 305c2f3ca81..de8091767e8 100644
--- a/dev-ruby/facter/Manifest
+++ b/dev-ruby/facter/Manifest
@@ -1,3 +1,4 @@
 DIST facter-3.14.3.tar.gz 395278 BLAKE2B bda071fb92d337e2d6e58faaa33a6b135b6dfd3b6f4077af3b872bd44191629810fe99a7a1f8d9e3b16c4ff45ba587730bccb0652dcd85f4562120def42c7f38 SHA512 abd7cb3e102bff7635d6b2c17e5650e0a7b7be5ed6b81003df17053f0c9c4887f7db948714daaa313c7569bcc788ab18b0361a57395cd5118a6be38d571794df
 DIST facter-3.14.4.tar.gz 395849 BLAKE2B e3a08f5c6e1f8d441ea50b41432f0fff3120923e7cb81e47586622e239d691c89c1e4bbf17fdbc744ae20cc44b5bf0adf4178ab7d8572dc44edef4f3b789e92b SHA512 631eb10efdd51e2aab2f9d139c18bb659dffd0341141f2c094f46f27e54166527355be52e768e1f5e4f61ff3eb3bf099ec8626947d66cea71d36395d6551c7b9
+DIST facter-3.14.5.tar.gz 395892 BLAKE2B c8f98716f4abca8d5f32c1cbfa79437b4021b1994476a31f7c00fc092f02aa08ed01eff4357368e140763bd3d39a38915c99606914e697ff8c769c9f0dd26638 SHA512 387f3d4c654ce3231129dbf6c22ccb04023d73006e4709b330b11ac01ef55831c618d80171ffb8de455be2a12e339a2b52ab782b0ed97e2dbfeaca2692ed951d
 DIST facter-3.9.2.tar.gz 380883 BLAKE2B d2804664e0499715230e5696c5a9ebae933f5b43dfb37154251d47763c2c7f78cfa8d1413dd836e5a0c76ed67300d066fa5bb390f17f85cd4cb7a444eaf0d133 SHA512 bc040826311bbff40f5a151ade315d9d47ef1e0f3faa570805e48ca55405265e66308230118b9cd59f701ecd76a7b0fd4d9200dd4ace838521223a162b105374

diff --git a/dev-ruby/facter/facter-3.14.5.ebuild b/dev-ruby/facter/facter-3.14.5.ebuild
new file mode 100644
index 00000000000..4c7110c0cf6
--- /dev/null
+++ b/dev-ruby/facter/facter-3.14.5.ebuild
@@ -0,0 +1,112 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+USE_RUBY="ruby23 ruby24 ruby25 ruby26"
+
+# git-r3 goes after ruby-ng so that it overrides src_unpack properly
+inherit cmake-utils eutils multilib ruby-ng
+
+DESCRIPTION="A cross-platform ruby library for retrieving facts from operating systems"
+HOMEPAGE="http://www.puppetlabs.com/puppet/related-projects/facter/"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+IUSE="debug test"
+if [[ ${PV} == 9999 ]] ; then
+	inherit git-r3
+	EGIT_REPO_URI="https://github.com/puppetlabs/facter.git"
+	EGIT_BRANCH="master"
+else
+	[[ "${PV}" = *_rc* ]] || \
+	KEYWORDS="~amd64 ~arm ~hppa ~ppc ~ppc64 ~sparc ~x86"
+	SRC_URI="https://github.com/puppetlabs/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+fi
+
+BDEPEND="
+	>=sys-devel/gcc-4.8:*
+	dev-cpp/cpp-hocon"
+COMMON_DEPEND="
+	>=dev-libs/leatherman-1.0.0:=
+	dev-libs/openssl:0=
+	sys-apps/util-linux
+	app-emulation/virt-what
+	net-misc/curl
+	>=dev-libs/boost-1.54:=[nls]
+	<dev-libs/boost-1.70.0
+	>=dev-cpp/yaml-cpp-0.5.1
+	!<app-admin/puppet-4.0.0"
+
+ruby_add_bdepend "test? ( dev-ruby/rake dev-ruby/rspec:2 dev-ruby/mocha:0.14 )"
+
+RDEPEND="${COMMON_DEPEND}"
+DEPEND="${BDEPEND}
+	${COMMON_DEPEND}"
+
+# restore ${S} and override all phases exported by ruby-ng.eclass
+S="${WORKDIR}/${P}"
+
+pkg_setup() {
+	ruby-ng_pkg_setup
+}
+
+src_unpack() {
+	default
+
+	if [[ ${PV} == 9999 ]] ; then
+		git-r3_src_unpack
+	fi
+}
+
+src_prepare() {
+	# be explicit about the version of rspec we test with
+	sed -i -e '/libfacter.*specs/ s/rspec/rspec-2/' \
+		CMakeLists.txt || die
+	# be more lenient for software versions for tests
+	sed -i -e '/rake/ s/~> 10.1.0/>= 10/' \
+		-e '/rspec/ s/2.11.0/2.11/' \
+		-e '/mocha/ s/0.10.5/0.14.0/' lib/Gemfile || die
+	# patches
+	default
+	cmake-utils_src_prepare
+}
+
+each_ruby_configure() {
+	# hack for correct calculation of relative path from facter.rb to
+	# libfacter.so
+	my_ruby_sitelibdir=$(ruby_rbconfig_value 'sitelibdir')
+}
+
+src_configure() {
+	ruby-ng_src_configure
+
+	local mycmakeargs=(
+		-DCMAKE_VERBOSE_MAKEFILE=ON
+		-DRUBY_LIB_INSTALL=${my_ruby_sitelibdir}
+		-DBLKID_LIBRARYDIR="${EPREFIX}/$(get_libdir)"
+	)
+	if use debug; then
+		mycmakeargs+=(
+		  -DCMAKE_BUILD_TYPE=Debug
+		)
+	fi
+	cmake-utils_src_configure
+}
+
+src_compile() {
+	addpredict /proc/self/oom_score_adj
+	cmake-utils_src_compile
+}
+
+src_test() {
+	cmake-utils_src_test
+}
+
+each_ruby_install() {
+	doruby "${BUILD_DIR}"/lib/facter.rb
+}
+
+src_install() {
+	cmake-utils_src_install
+	ruby-ng_src_install
+}